summaryrefslogtreecommitdiffstats
path: root/source/ap/texinfo/texinfo.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/texinfo/texinfo.SlackBuild')
-rwxr-xr-xsource/ap/texinfo/texinfo.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/ap/texinfo/texinfo.SlackBuild b/source/ap/texinfo/texinfo.SlackBuild
index 62d580e57..4d7784cea 100755
--- a/source/ap/texinfo/texinfo.SlackBuild
+++ b/source/ap/texinfo/texinfo.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=texinfo
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,6 +81,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix for perl-5.28.0:
+zcat $CWD/texinfo.fix.unescaped.left.brace.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \